(function ($) {
  $.fn.singleImagePopup = function (options) {
    const defaults = {
      width: "560px",
      height: "400px",
      imageUrl: "/assets/images/sample.jpg",
      stop: false,
    };

    let settings = $.extend({}, defaults, options);

    function doNotShow() {
      return !settings.stop ? "model-open" : "";
    }

    let showPopup = doNotShow();

    return $(this)
      .html(
        `<div class="sipu-model-main ${showPopup}">
        <div class="sipu-model-inner">
        <div class="sipu-close-btn">×</div>
            <div class="sipu-model-wrap">
                <div class="sipu-pop-up-content-wrap">
                  <img src="${settings.imageUrl}" width="${settings.width}" height="${settings.height}" />
                </div>
            </div>  
        </div>  
        <div class="sipu-bg-overlay"></div>
      </div>`
      )
      .find(
        $(".sipu-close-btn").on("click", function () {
          $(".sipu-model-main").removeClass("model-open");
        })
      );
  };
})(jQuery);
